<script setup>
import { ref } from "vue";
const props = defineProps({
	offset: {
		type: Array,
		default() {
			return [0, 0];
		},
	},
	width: {
		type: [Number, String],
		default: 14,
	},
	height: {
		type: [Number, String],
		default: 34,
	},
	color: {
		type: String,
		default: "#804000",
	},
});
</script>

<template>
  <g ref="g" :transform="'translate(' + offset.join(',') + ')'">
    <rect
      :x="width / -2"
      :width="width"
      :height="height"
      :stroke="color"
      fill="none"
      style="stroke-width: 2"
    />
  </g>
</template>

<style scoped lang="less"></style>
